import React, { MouseEventHandler, ReactNode } from "react";
interface CommonButton extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    id?: string;
    onClick: MouseEventHandler<HTMLButtonElement>;
    children: ReactNode;
}
interface GenericButton extends CommonButton {
    type: "button";
}
interface SubmitButton extends Omit<CommonButton, "onClick"> {
    type: "submit";
}
export type ButtonProps = GenericButton | SubmitButton;
declare function Button({ id, type, style, className, children, ...props }: ButtonProps): React.JSX.Element;
export default Button;
